# Exps

## Step 1: Set up environment

```
make clean all
cd xml/c_funs
make clean all
cd ../../
source ./venv/bin/activate
```

## Step 2: Generate data

```
cd data/
./data_gen.sh
cd ../
```

## Step 3: Train behavior policy and generate bandit data

```
cd exps/previous_model/
./save_model.sh
cd ../split_and_filter/
./data_gen2.sh
cd ../
```

## Step 4: Run exps

```
cd exps/policy_based_exps_xml
./exps.sh
```

**Note that it will take a long time to run all exps at a time. You can split exps by customizing "exp.sh" at line 12 and 14. At least 64GB of RAM and an 8-core CPU are needed.**

