#!/bin/bash

root=`realpath $1`
pd=`pwd`
cd $root
ln -sf logged_te.svm logged_te.full.svm
ln -sf logged_va.svm logged_va.full.svm
python ../set_1.py logged_te.full.svm
python ../set_1.py logged_va.full.svm
cd ${pd}

train_dir=`realpath $2`
p=$3
cd $train_dir
rm -f *.topk *.svm *.plm
ln -sf $root/logged_tr.replay*.$p.svm tr.svm
ln -sf $root/logged_tr.replay*.$p.plm tr.plm
ln -sf $root/logged_tr.replay*.$p.tpk tr.tpk

ln -sf $root/label.svm ./
ln -sf $root/logged_te.1.svm  te.svm
ln -sf $root/logged_te.$p.tpk te.tpk
ln -sf $root/logged_va.1.svm  va.svm
ln -sf $root/logged_va.$p.tpk va.tpk
