#!/usr/bin/env bash

host=http://peanuts.csie.ntu.edu.tw
port=8000

dirs=$(wget -O - $host:$port 2>/dev/null | grep href | grep -v py | sed 's/.*href="\(.*\)".*/\1/')
n=$(echo "$dirs" | wc -l)
echo "$dirs" | awk '{print "[" NR "] " $0}'
read -p "Choose a data directory [1-$n]: " idx
dir=$(echo "$dirs" | sed -n "$idx"p)

wget -nv -r -np -nH -R "index.html*" -P ./data/ $host:$port/$dir
# non-verbose
# recursive
# no-parent
# no-host
# reject index.html
# save under ./data/